org.apache.solr.client.solrj.io.eval

## Class SimpleEvaluator

- java.lang.Object
- - org.apache.solr.client.solrj.io.eval.SimpleEvaluator

All Implemented Interfaces:
  Serializable, StreamEvaluator, Expressible

Direct Known Subclasses:
  FieldEvaluator, RawValueEvaluator

    public abstract class SimpleEvaluator
    extends Object
    implements StreamEvaluator

See Also:
  Serialized Form

### Field Summary

Fields
`protected UUID` `nodeId`

### Constructor Summary

Constructors
Constructor and Description
`SimpleEvaluator()`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.solr.client.solrj.io.eval.StreamEvaluator

`evaluate`

### Methods inherited from interface org.apache.solr.client.solrj.io.stream.expr.Expressible

`toExplanation, toExpression`

### Field Detail

#### nodeId

    protected UUID nodeId

### Constructor Detail

#### SimpleEvaluator

    public SimpleEvaluator()